﻿/* This style sheet contains Microsofts generated site styles
    
Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

.byu-alert {
    color: #002e5d !important;
    background-color: #cee3f5 !important;
    border-color: #cee3f5 !important;
}

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

img#banner {
    object-fit: cover;
    width: 100%;
}

#SearchForm {
    padding: .75em;
}

#mccVideo {
    height: 40vw;
}

#mccpdf {
    height: auto;
}

#unitButton {
    height: 4rem;
    margin-top: -1em;
}

/* Side navbar*/
.sidenav {
    width: 0;
    position: fixed;
    z-index: 2;
    top: 50%;
    overflow-x: hidden;
    overflow-y: scroll;
    height: 75%;
    transition: 0.5s;
    transform: translateY(-50%);
    box-shadow: -8px 9px 13px 2px #14141459;
    -ms-overflow-style: none;
    scrollbar-width: none;
}

    .sidenav::-webkit-scrollbar {
        display: none;
    }

.card-header {
    background-color: #0f4473;
    color: #ffffff;
    font-weight: bolder;
    font-size: 18px;
}


.sidenav a {
    padding: 4px 4px 4px 8px;
    text-decoration: none;
    font-size: 16px;
    font-weight: bold;
    color: rgb(0,0,0);
    display: block;
    transition: 0.3s;
}

    .sidenav a:hover {
        color: #0062B8;
        text-decoration: underline;
    }

.list-group {
    font-weight: 300;
}


/* Div's a*/
#sideNavDiv a {
    position: fixed;
    left: 0px;
    font-size: 50px;
    padding: 15px;
    z-index: 1;
    width: 70px;
    text-decoration: none;
    color: rgb(255, 255, 255);
    border-radius: 0 5px 5px 0;
    background-color: #0f4473;
    top: 50%;
    transform: translate(0, -50%);
    transition: 0.5s;
    display: flex;
    justify-content: end;
    align-items: center;
}
/*
    #sideNavDiv a:hover {
        left: 0;
    }*/

#main {
    transition: margin-left .5s;
}

@media screen and (max-height: 450px) {
    .sidenav {
        padding-top: 15px;
    }

        .sidenav a {
            font-size: 18px;
        }
}
/* Icon 3 */

#nav-icon3 {
    width: 30px;
    height: 45px;
    position: relative;
    margin: 30px auto;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .5s ease-in-out;
    -moz-transition: .5s ease-in-out;
    -o-transition: .5s ease-in-out;
    transition: .5s ease-in-out;
    cursor: pointer;
}

    #nav-icon3 span {
        display: block;
        position: absolute;
        height: 9px;
        width: 100%;
        background: rgb(255, 255, 255);
        border-radius: 9px;
        opacity: 1;
        left: 0;
        -webkit-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
        -webkit-transition: .25s ease-in-out;
        -moz-transition: .25s ease-in-out;
        -o-transition: .25s ease-in-out;
        transition: .25s ease-in-out;
    }

        #nav-icon3 span:nth-child(1) {
            top: 0px;
        }

        #nav-icon3 span:nth-child(2), #nav-icon3 span:nth-child(3) {
            top: 18px;
        }

        #nav-icon3 span:nth-child(4) {
            top: 36px;
        }

    #nav-icon3.open span:nth-child(1) {
        top: 18px;
        width: 0%;
        left: 50%;
    }

    #nav-icon3.open span:nth-child(2) {
        -webkit-transform: rotate(45deg);
        -moz-transform: rotate(45deg);
        -o-transform: rotate(45deg);
        transform: rotate(45deg);
    }

    #nav-icon3.open span:nth-child(3) {
        -webkit-transform: rotate(-45deg);
        -moz-transform: rotate(-45deg);
        -o-transform: rotate(-45deg);
        transform: rotate(-45deg);
    }

    #nav-icon3.open span:nth-child(4) {
        top: 18px;
        width: 0%;
        left: 50%;
    }


/*Provide sufficient contrast against white background*/
a {
    color: rgb(0, 0, 0);
}

.footerColor {
    color: rgb(255, 255, 255);
}

.byu-bread-crumb {
    opacity: 0.75 !important;
    color: rgb(255, 255, 255) !important;
    margin-right: 0.5em !important;
    padding-right: 0.75em !important;
    text-decoration: none !important;
    border-right: 1px solid rgb(51, 88, 125) !important;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active,
.nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 0.25rem 0.75rem rgba(0, 0, 0, 0.05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

/* BYU Sticky footer styles
-------------------------------------------------- */
html,
body {
    height: 100%;
}

.containing-element {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.page-content {
    flex-grow: 1;
}
